<!DOCTYPE html>
<html><head>
<title>eric7.Plugins.VcsPlugins.vcsMercurial.HisteditExtension.histedit</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.Plugins.VcsPlugins.vcsMercurial.HisteditExtension.histedit</h1>
<p>
Module implementing the histedit extension interface.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#Histedit">Histedit</a></td>
<td>Class implementing the histedit extension interface.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="Histedit" ID="Histedit"></a>
<h2>Histedit</h2>
<p>
    Class implementing the histedit extension interface.
</p>

<h3>Derived from</h3>
HgExtension
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#Histedit.__init__">Histedit</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#Histedit.hgHisteditAbort">hgHisteditAbort</a></td>
<td>Public method to abort an interrupted histedit session.</td>
</tr>
<tr>
<td><a href="#Histedit.hgHisteditContinue">hgHisteditContinue</a></td>
<td>Public method to continue an interrupted histedit session.</td>
</tr>
<tr>
<td><a href="#Histedit.hgHisteditEditPlan">hgHisteditEditPlan</a></td>
<td>Public method to edit the remaining actions list of an interrupted histedit session.</td>
</tr>
<tr>
<td><a href="#Histedit.hgHisteditStart">hgHisteditStart</a></td>
<td>Public method to start a histedit session.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="Histedit.__init__" ID="Histedit.__init__"></a>
<h4>Histedit (Constructor)</h4>
<b>Histedit</b>(<i>vcs</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>vcs</i> (Hg)</dt>
<dd>
reference to the Mercurial vcs object
</dd>
</dl>
<a NAME="Histedit.hgHisteditAbort" ID="Histedit.hgHisteditAbort"></a>
<h4>Histedit.hgHisteditAbort</h4>
<b>hgHisteditAbort</b>(<i></i>)
<p>
        Public method to abort an interrupted histedit session.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating that the project should be reread
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="Histedit.hgHisteditContinue" ID="Histedit.hgHisteditContinue"></a>
<h4>Histedit.hgHisteditContinue</h4>
<b>hgHisteditContinue</b>(<i></i>)
<p>
        Public method to continue an interrupted histedit session.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating that the project should be reread
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="Histedit.hgHisteditEditPlan" ID="Histedit.hgHisteditEditPlan"></a>
<h4>Histedit.hgHisteditEditPlan</h4>
<b>hgHisteditEditPlan</b>(<i></i>)
<p>
        Public method to edit the remaining actions list of an interrupted
        histedit session.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating that the project should be reread
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="Histedit.hgHisteditStart" ID="Histedit.hgHisteditStart"></a>
<h4>Histedit.hgHisteditStart</h4>
<b>hgHisteditStart</b>(<i>rev=""</i>)
<p>
        Public method to start a histedit session.
</p>

<dl>

<dt><i>rev</i> (str)</dt>
<dd>
revision to start histedit at
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
flag indicating that the project should be reread
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
